View Issue Details

IDProjectCategoryView StatusLast Update
13804Bug reports[All Projects] Ergonomypublic2018-07-09 13:55
ReporterDenisChenuAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.13.x 
Summary13804: Error about Data security policy shown when change language + clear all
DescriptionWith a survey with data security, when updatre language or Clear all: page is shown with the alert
Steps To ReproduceImport included survey (for example), update langueage or Clear all
Additional InformationClear all must show the clear all message not the welcome page again.

Since control is done with PHP, i think we must remove the required attribute in the checkbox .

Without JS : check the checkbox and Clear all work then maybe a ajax issue, but i don't think : more a js issue with the dropdown.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.12.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant (midori is great for no-js test)
Database & DB-Versionnot relevant
Operating System (Server)not relevant
Webserver software & versionnot relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-06-21 21:59

developer  

limesurvey_survey_899541.lss (510,247 bytes)
markusfluer

markusfluer

2018-07-09 13:55

developer   ~48474

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27612

Related Changesets

LimeSurvey: master 5ebfde03

2018-07-09 13:55:18

markusfluer

Details Diff
Fixed issue 13804: Error about Data security policy shown when change language + clear all
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - themes/survey/vanilla/scripts/theme.js Diff File
mod - themes/survey/vanilla/views/subviews/privacy/privacy_modal.twig Diff File

Issue History

Date Modified Username Field Change
2018-06-21 21:59 DenisChenu New Issue
2018-06-21 21:59 DenisChenu File Added: limesurvey_survey_899541.lss
2018-06-25 10:20 LouisGac Assigned To => markusfluer
2018-06-25 10:20 LouisGac Status new => assigned
2018-07-09 13:55 markusfluer Status assigned => resolved
2018-07-09 13:55 markusfluer Resolution open => fixed
2018-07-09 13:55 markusfluer Fixed in Version => 3.13.x
2018-07-09 13:55 markusfluer Changeset attached => LimeSurvey master 5ebfde03
2018-07-09 13:55 markusfluer Note Added: 48474